Bug 218604 - devel/psptoolchain-newlib: Improve regex conformance
Summary: devel/psptoolchain-newlib: Improve regex conformance
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks: 218495
  Show dependency treegraph
 
Reported: 2017-04-12 16:56 UTC by Kyle Evans
Modified: 2017-04-26 00:46 UTC (History)
3 users (show)

See Also:
tphilipp: maintainer-feedback+


Attachments
svn(1) diff of devel/psptoolchain-newlib (847 bytes, patch)
2017-04-12 16:56 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2017-04-12 16:56:38 UTC
Created attachment 181731 [details]
svn(1) diff of devel/psptoolchain-newlib

In EREs, left-brace is not to be interpreted as an ordinary character unless escaped. Using left-brace not as a part of a valid interval expression produces undefined results [1].

There is a patch-in-progress to fix our implementation to throw an error if left-brace is not used in a valid manner, it would be good to go ahead and address this before-hand. =)

[1] http://pubs.opengroup.org/onlinepubs/009696899/basedefs/xbd_chap09.html#tag_09_04_03
Comment 1 Tassilo Philipp 2017-04-16 12:37:37 UTC
Looking good, patch works fine and build works. Thanks for finding and providing the patch.
Comment 2 commit-hook freebsd_committer 2017-04-26 00:40:53 UTC
A commit references this bug:

Author: ler
Date: Wed Apr 26 00:39:53 UTC 2017
New revision: 439423
URL: https://svnweb.freebsd.org/changeset/ports/439423

Log:
  devel/psptoolchain-newlib: Improve regex conformance

  PR:	218604
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>
  Approved by:	Tassilo Philipp <tphilipp@potion-studios.com> (maintainer), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10501

Changes:
  head/devel/psptoolchain-newlib/Makefile
Comment 3 Larry Rosenman freebsd_committer 2017-04-26 00:45:51 UTC
Committed, Thanks!